@echo off
echo.
echo               English Blinker 3.2 to Blinker 3.3 update
echo               -----------------------------------------
echo.
echo This process requires this file UPDATE.BAT, the archive file BUP330EN.EXE
echo and approximately 2.0 MB of available disk space on the current drive. It
echo also requires the Blinker 3.2 files BLINKER.EXE and BLINKER.NG to be in
echo the current directory OR the directory specified as the parameter to this
echo batch file.
echo.
if '%1' == '' goto help
if exist blinker.exe goto upd010
if exist %1\blinker.exe goto upd010
echo File %1\BLINKER.EXE does not exist - this file is REQUIRED for
echo this update to succeed.
echo.
goto fail
:upd010
if exist blinker.ng goto upd020
if exist %1\blinker.ng goto upd020
echo File %1\BLINKER.NG does not exist so a new BLINKER.NG will
echo NOT be created.
echo 
:upd020
if exist bup330en.exe goto upd030
echo File BUP330EN.EXE does not exist - it should be in the current directory.
echo.
goto fail
:upd030
echo About to create updated files
echo.
pause
if '%1' == '.' goto upd040
if not exist blinker.exe copy %1\blinker.exe
if not exist blinker.ng  copy %1\blinker.ng
:upd040
bup330en
if not exist blibld.exe goto upd050
if not exist bli330en.rtp goto upd050
if not exist patch.exe goto upd050
blibld
echo.
patch bli330en
echo.
if errorlevel 1 goto upd050
echo                Blinker 3.3 has been successfully installed
echo                -------------------------------------------
echo.
echo Be sure to update your INCLUDE, LIB, OBJ and PATH environment settings
echo to reflect the new path for Blinker 3.3.
echo.
echo If you wish to conserve disk space you may now delete the archive files
echo BLI330EN.EXE, BUP330EN.EXE, BLI330EN.RTP, BLIBLD.EXE and PATCH.EXE.
echo.
goto exit
:upd050
echo ***** The Blinker 3.3 update was NOT completed successfully *****
echo.
echo If the BLINKER.EXE has not been updated then please check that
echo the path specified points to Blinker 3.2 as that is the only
echo the version which can be updated to 3.3.
echo.
echo If the BLINKER.EXE was updated successfully then only the BLINKER.NG
echo file will not have been updated and Blinker 3.3 will still execute
echo correctly. If you wish to update BLINKER.NG please ensure that the
echo path specified points to the Blinker 3.2 BLINKER.NG.
echo 
goto exit
:help
echo Syntax :   Current directory with the 3.3 files UPDATE.BAT and BUP330EN.EXE
echo.
echo            UPDATE d:\path
echo.
echo            Where d:   is the drive
echo                  path is the path where BLINKER.EXE and BLINKER.NG from
echo                              *** Blinker 3.2 *** are installed.
echo.
echo Examples : UPDATE .          Update the current directory containing
echo                              Blinker 3.2 to Blinker 3.3.
echo.
echo            UPDATE C:\B320    Update the current directory to Blinker
echo                              3.3 with Blinker 3.2 in C:\B320. 
goto exit
:fail
echo ***** The Blinker 3.3 update was NOT completed successfully *****
:exit
